const LV_VERSION = "0.1.20030519";
const LV_DIR = "linkvisitor";
const LV_SIZE = 11;
const LV_SHOWN_NAME = "LinkVisitor";

var err;
err = initInstall(LV_SHOWN_NAME, "/bllaw/LinkVisitor", LV_VERSION);
logComment("initInstall: " + err);
logComment("Installation started ...");

if (verifyDiskSpace(getFolder("Program"), LV_SIZE)) {
  mgDir = getFolder("Chrome", LV_DIR);
  setPackageFolder(mgDir);
  addDirectory(LV_DIR);

  registerChrome(CONTENT | DELAYED_CHROME, getFolder(mgDir, "content"));
  registerChrome(LOCALE | DELAYED_CHROME, getFolder(mgDir, "locale/en-US/linkvisitor/"));
  err = getLastError();
  if (err == SUCCESS)
    err = performInstall();
  if (err == SUCCESS) {
    alert(LV_SHOWN_NAME + " has been succesfully installed. \n" +
          "Please restart your browser to continue.");
  }
  else {
    alert("performInstall() failed. \n" +
          "_____________________________\nError code:" + err);
    cancelInstall(err);
  }
}
else {
  alert("Failed to create directory. \n" +
        "You probably don't have appropriate permissions \n" +
        "(write access to mozilla/chrome directory). \n" +
        "_____________________________\nError code:" + err);
  cancelInstall(err);
}

// taken from xFly
// this function verifies disk space in kilobytes
function verifyDiskSpace(dirPath, spaceRequired)
{
  var spaceAvailable;

  // Get the available disk space on the given path
  spaceAvailable = fileGetDiskSpaceAvailable(dirPath);

  // Convert the available disk space into kilobytes
  spaceAvailable = parseInt(spaceAvailable / 1024);

  // do the verification
  if(spaceAvailable < spaceRequired)
  {
    logComment("Insufficient disk space: " + dirPath);
    logComment("  required : " + spaceRequired + " K");
    logComment("  available: " + spaceAvailable + " K");
    return(false);
  }

  return(true);
}